const COMPLETE_SALE = 'completeSale'

const ERROR_SALE = 'errorSale'

const NOTIFY = 'notify'

const INIT_SALE = 'initSale'

const EXPLODE_DATA = 'explodeData'

const CHECK_CART = 'checkCart'

const CHECK_CUSTOMER = 'checkCustomer'

const CHECK_AMOUNT_RECEIVED = 'checkAmountReceived'

const CHECK_PAYMENT_METHOD = 'checkPaymentMethod'

const CREATE_SALE = 'createSale'

const INIT_USER = 'initUser'

const INIT_PRODUCTS = 'initProducts'

const FILTER_PRODUCTS = 'filterProducts'

const SHOW_PRODUCT_FORM = 'showProductForm'

const HIDE_PRODUCT_FORM = 'hideProductForm'

const SUBMIT_PRODUCT = 'submitProduct'

const CREATE_PRODUCT = 'createProduct'

const RECEIVE_PRODUCT = 'receiveProduct'

const SELECT_PRODUCT = 'selectProduct'

const INIT_PAYMENT_TERMS = 'initPaymentTerms'

const SELECT_PAYMENT_TERM = 'selectPaymentTerm'

const CHANGE_PAYMENT_TYPE = 'changePaymentType'

const CHANGE_INITIAL_PAYMENT = 'changeInitialPayment'

const COMPUTE_PAYMENT_LINES = 'computePaymentLines'

const INIT_JOURNALS = 'initJournals'

const SELECT_JOURNAL = 'selectJournal'

const INIT_DATE = 'initDate'

const INIT_CUSTOMERS = 'initCustomers'

const FILTER_CUSTOMERS = 'filterCustomers'

const SHOW_CUSTOMER_FORM = 'showCustomerForm'

const HIDE_CUSTOMER_FORM = 'hideCustomerForm'

const SUBMIT_CUSTOMER = 'submitCustomer'

const CREATE_CUSTOMER = 'createCustomer'

const RECEIVE_CUSTOMER = 'receiveCustomer'

const SELECT_CUSTOMER = 'selectCustomer'

const INIT_CURRENCIES = 'initCurrencies'

const CHANGE_CART_TOTAL = 'changeCartTotal'

const ADD_TO_CART = 'addToCart'

const DECREASE_FROM_CART = 'decreaseFromCart'

const REMOVE_FROM_CART = 'removeFromCart'

const RESET_CART = 'resetCart'

const RESET_CURRENCY = 'resetCurrency'

const RESET_CUSTOMER = 'resetCustomer'

const RESET_DATE = 'resetDate'

const RESET_JOURNAL = 'resetJournal'

const RESET_PAYMENT = 'resetPayment'

const RESET_PRODUCT = 'resetProduct'

const RESET_USER = 'resetUser'

const RESET_SALE = 'resetSale'

export {
    COMPLETE_SALE, ERROR_SALE, // App
    NOTIFY, INIT_SALE, EXPLODE_DATA, CHECK_CART, CHECK_CUSTOMER, CHECK_PAYMENT_METHOD, CHECK_AMOUNT_RECEIVED, CREATE_SALE, RESET_SALE, // Sale
    INIT_USER, RESET_USER, // Users
    INIT_PRODUCTS, FILTER_PRODUCTS, SHOW_PRODUCT_FORM, HIDE_PRODUCT_FORM, SUBMIT_PRODUCT, CREATE_PRODUCT, RECEIVE_PRODUCT, SELECT_PRODUCT, RESET_PRODUCT, // Product
    INIT_PAYMENT_TERMS, CHANGE_PAYMENT_TYPE, CHANGE_INITIAL_PAYMENT, COMPUTE_PAYMENT_LINES, SELECT_PAYMENT_TERM, RESET_PAYMENT, // Payment terms
    INIT_JOURNALS, SELECT_JOURNAL, RESET_JOURNAL, // Journals
    INIT_DATE, RESET_DATE, // Date
    INIT_CUSTOMERS, FILTER_CUSTOMERS, SHOW_CUSTOMER_FORM, HIDE_CUSTOMER_FORM, SUBMIT_CUSTOMER, CREATE_CUSTOMER, RECEIVE_CUSTOMER, SELECT_CUSTOMER, RESET_CUSTOMER, // Customer
    INIT_CURRENCIES, RESET_CURRENCY, // Currencies
    CHANGE_CART_TOTAL, ADD_TO_CART, DECREASE_FROM_CART, REMOVE_FROM_CART, RESET_CART // Cart
}